Insights
Get Page insights
Read metrics for the Page.
GET
/
meta
/
v25.0
/
{pageId}
/
insights
Get Page insights
curl --request GET \
--url https://gateway.hookmyapp.com/meta/v25.0/{pageId}/insightsimport requests
url = "https://gateway.hookmyapp.com/meta/v25.0/{pageId}/insights"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://gateway.hookmyapp.com/meta/v25.0/{pageId}/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Reads Page metrics for a period.
See Insights for the metric list.
Authentication
Use thehmat_ channel token from GET /meta/channels/{id}/token or hookmyapp channels token <channel>. Do not use an hmok_ API key for this call.
Authorization: Bearer hmat_...
Path parameters
string
required
The connected Page id.
Query parameters
string
required
Comma-separated metric names, for example
page_post_engagements,page_follows,page_views_total,page_daily_follows_unique.string
day, week or days_28. Defaults to day.Example
curl "https://gateway.hookmyapp.com/meta/v25.0/{PAGE_ID}/insights?metric=page_follows,page_views_total&period=day" \
-H "Authorization: Bearer hmat_..."
Successful response
{
"data": [
{
"name": "page_views_total",
"period": "day",
"values": [
{ "value": 120, "end_time": "2026-09-14T07:00:00+0000" },
{ "value": 98, "end_time": "2026-09-15T07:00:00+0000" }
]
}
]
}
⌘I
Get Page insights
